<!DOCTYPE html>
<html lang="en" dir="ltr">

<link rel="icon" type="image/png" href="../images/udeaIco.png" />
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="description" content="">
<meta name="author" content="">

<title>Asignación</title>

<head>
  <meta charset="utf-8">
  <link href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.1.3/css/bootstrap.css" rel="stylesheet" />
  <link href="https://cdn.datatables.net/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" />
  <link href="https://cdn.datatables.net/responsive/2.2.3/css/responsive.bootstrap4.min.css" rel="stylesheet" />
  <link href="https://use.fontawesome.com/releases/v5.0.8/css/all.css" rel="stylesheet" />
  <link href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet" />
  <link href="../css/bootstrap.min.css" rel="stylesheet">
  <!--Estilo iconos menú Principal-->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
  <link href="../css/style.css" rel="stylesheet">

</head>

<body>
  <div id="contenedorPpal">
    <div id="barranav">
      <nav class="navbar navbar-expand-lg navbar-light bg-light fixed-top">
        <a class="navbar-brand" href="#"> <span class="imagenMenu">
            <img src="../images/logoUdeaLateral2.png"></span></a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
          aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <div class="menuu">

            <ul class="navbar-nav mr-auto">

              <li class="nav-item dropdown">
                <a class="nav-link" href="inicio.html"> <i class="fa fa-home fa-1x"></i>INICIO</a>
              </li>

              <li class="nav-item dropdown">
                <a class="nav-link" href="inventario.html"> <i class="fa fa-home fa-1x"></i>INVENTARIO</a></li>

              <!-- <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href=""> <i
                        class="fa fa-home fa-1x"></i>INVENTARIO</a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                    <a class="dropdown-item" href="agregarEquipo.html">Registrar equipo</a>
                    <a class="dropdown-item" href="inventario.html">Ver inventario</a>
                </div>
            </li> -->

              <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
                  aria-haspopup="true" aria-expanded="false">
                  <i class="fa fa-bullhorn"></i> SOLICITUDES
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">


                  <div class="nav-item dropdown dropright">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                      data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Soporte tecnico</a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                      <a class="dropdown-item" href="solicitudSoporte.html">Crear</a>
                      <a class="dropdown-item" href="consultarSoporte.html">Consultar</a>
                    </div>
                  </div>

                  <div class="nav-item dropdown dropright">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                      data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Entornos virtuales</a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                      <a class="dropdown-item" href="solicitudEva.html">Crear</a>
                      <a class="dropdown-item" href="consultarSolicitud.html">Consultar</a>
                    </div>
                  </div>

                  <div class="nav-item dropdown dropright">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                      data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Comunicaciones</a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                      <a class="dropdown-item" href="solicitudComunicaciones.html">Crear</a>
                      <a class="dropdown-item" href="consultarSolicitud.html">Consultar</a>
                    </div>
                  </div>

                  <div class="nav-item dropdown dropright">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                      data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Sistemas de info</a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                      <a class="dropdown-item" href="solicitudSisInfo.html">Crear</a>
                      <a class="dropdown-item" href="consultarSolicitud.html">Consultar</a>
                    </div>
                  </div>

                  <div class="nav-item dropdown dropright">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                      data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Mantenimiento</a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                      <a class="dropdown-item" href="solicitudMantenimiento.html">Crear</a>
                      <a class="dropdown-item" href="consultarSolicitud.html">Consultar</a>
                    </div>
                  </div>
                </div>
              </li>

              <li class="nav-item dropdown ">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
                  aria-haspopup="true" aria-expanded="false">
                  <i class="fa fa-bullhorn"></i> GESTIÓN
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                  <a class="dropdown-item" href="#">Licencias</a>
                  <a class="dropdown-item" href="#">Cuartos de comnunicación</a>
                </div>
              </li>

              <li class="nav-item dropdown">
                <a class="nav-link" href="informe.html"> <i class="fa fa-book"></i>INFORMES </a>
              </li>

              <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
                  aria-haspopup="true" aria-expanded="false">
                  <i class="fa fa-folder-open"></i> CONFIGURACIÓN
                </a>
                <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                  <a class="dropdown-item" href="#">Usuarios</a>
                  <a class="dropdown-item" href="#">Perfiles</a>
                  <a class="dropdown-item" href="#">Ubicaciones</a>
                </div>
              </li>

              <li class="nav-item dropdown">
                <a class="nav-link" href="consultarSoporte.html"> <i class="fas fa-edit"></i>ASIGNACIÓN</a>
              </li>

              <li class="nav-item dropdown">
                <a class="nav-link" href="#"> <i class="fa fa-question-circle"></i>AYUDA </a>
              </li>

            </ul>
          </div>
        </div>
      </nav>
    </div>

    <div id="contenidox">
      <div class="row">
        <div class="col-md-11">
          <h5><i class="fa fa-bullhorn" aria-hidden="true"></i>Asignación de Solicitudes</h5>

          <a data-toggle="modal" href="#asignarSolicitud"
            style="margin-right: 5px; background:white; border-color:gray; color:blue; font-weight: bold;"
            class="btn btn-sm btnedit"><i class="fas fa-edit" style="color:blue;"></i>Asignar solicitud</a>

          <div class="modal fade " id="asignarSolicitud" role="dialog">
            <div class="modal-dialog modal-lg" id="asignarModal">
              <div class="modal-content">
                <div class="modal-header mhsuccess" style="background:rgb(0, 94, 44);color:white;">
                  <h5 class="modal-title">Solicitud 301</h5>
                  <button class="close" data-dismiss="modal" style="color:white;">&times;</button>
                </div>

                <div class="modal-body">
                  <ul class="nav nav-tabs" id="tabSolicitudes" role="tablist">
                    <li class="nav-item">
                      <a class="nav-link active" data-toggle="tab" href="#infoSolicitud">
                        <i class="far fa-list-alt" aria-hidden="true"></i>
                        Informacion de la Solicitud</a>
                    </li>
                    <li class="nav-item">
                      <a class="nav-link" data-toggle="tab" href="#asignacionSolicitud">
                        <i class="fas fa-edit" aria-hidden="true"></i>
                        Asignacion de Solicitud
                      </a>
                    </li>
                  </ul>

                  <div class="tab-content">
                    <div class="tab-pane active" id="infoSolicitud">
                      <div class="shadow-none p-4 mb-4 bg-light">
                        <div class="form-row">
                          <div class="form-group col-md">
                            <label for="inputSolicitante">Solicitante</label>
                            <i class="fa fa-question-circle" aria-hidden="true" title=""></i>
                            <input type="text" class="form-control" id="inputSolici" placeholder="Pedro Perez" disabled>
                          </div>
                          <div class="form-group col-md">
                            <label for="inputDispositivos">Dispositivos</label>
                            <i class="fa fa-question-circle" aria-hidden="true" title=""></i>
                            <input type="text" class="form-control" id="inputDispo" placeholder="Impresora" disabled>
                          </div>
                        </div>
                        <div class="form-row">
                          <div class="form-group col-md">
                            <label for="inputFecha">Fecha de creación </label>
                            <i class="fa fa-question-circle" aria-hidden="true" title=""></i>
                            <input type="text" class="form-control" id="inputFecha" placeholder="20-09-2018" disabled>
                          </div>
                          <div class="form-group col-md">
                            <label for="inputUbicacion">Ubicación</label>
                            <i class="fa fa-question-circle" aria-hidden="true" title=""></i>
                            <!--Debe salir la ubicacion dependiento el usuario-->
                            <input type="text" class="form-control" id="inputUbic" placeholder="Of 417" disabled>
                          </div>
                          <div class="form-group col-md">
                            <label for="inputPrioridad">Prioridad</label>
                            <i class="fa fa-question-circle" aria-hidden="true" title=""></i>
                            <input type="text" class="form-control" id="inputPrioridad" readonly="readonly">
                          </div>
                        </div>
                        <div class="form-row">
                          <div class="form-group col-md">
                            <label for="inputdescripcion">Descripción</label>
                            <i class="fa fa-question-circle" aria-hidden="true" title=""></i>
                            <textarea class="form-control" id="inputDes" style="weight:10px;height:50px"
                              disabled></textarea>
                            <!-- <input type="text" class="form-control input-sm" id="inputdescripcion" disabled placeholder="Impresora no enciende. Esta conectada y al darle en el boton para prender no enciende"> -->
                          </div>
                        </div>
                      </div>
                    </div>

                    <div class="tab-pane" id="asignacionSolicitud">
                      <div class="shadow-none p-4 mb-4 bg-light">
                        <div class="form-row">
                          <div class="form-group col-md-3">
                            <label for="inputCate">Tipo</label>
                            <i class="fa fa-question-circle" aria-hidden="true"
                              title="Debe seleccionar el tipo de solicitud"></i>
                            <select id="inputTipo" class="form-control">
                              <option selected>Seleccione</option>
                              <option value="incidente">Incidente</option>
                              <option value="cambios">Cambios</option>
                              <option value="requerimientos">Requerimientos</option>
                            </select>
                          </div>
                          <div class="form-group col-md">
                            <label for="inputAsignarS">Asignar a</label>
                            <i class="fa fa-question-circle" aria-hidden="true"
                              title="Debe seleccionar a la persona que le asignara la solicitud"></i>
                            <select id="inputAsignarS" class="form-control">
                              <option selected>Seleccione</option>
                              <option>Juan</option>
                              <option>Carlos</option>
                              <option>Paula</option>
                            </select>
                          </div>
                          <div class="form-group col-md">
                            <label for="inputNivel">Nivel</label>
                            <i class="fa fa-question-circle" aria-hidden="true"
                              title="Debe seleccionar el nivel de solicitud"></i>
                            <select id="inputNivel" class="form-control">
                              <option selected>Seleccione</option>
                              <option value="n1">Basico</option>
                              <option value="n2">Avanzado</option>
                              <option value="n3">Externo</option>
                            </select>
                          </div>
                        </div>
                        <div class="form-row">
                          <div class="form-group col-md">
                            <label for="inputEstado">Estado</label>
                            <i class="fa fa-question-circle" aria-hidden="true"
                              title="Debe seleccionar el nivel de solicitud"></i>
                            <select id="inputEstado" class="form-control">
                              <option selected>Seleccione</option>
                              <option>Abierta</option>
                              <option>Pendiente</option>
                              <option>Asignada</option>
                              <option>Gestionada</option>
                            </select>
                          </div>
                          <div class="form-group col-md-3">
                            <label for="inputFechaA">Fecha actualización</label>
                            <i class="fa fa-question-circle" aria-hidden="true"
                              title="Debe ingresar la fecha de la ultima actualizacion"></i>
                            <input type="text" class="form-control" id="inputFecha2" placeholder="Fecha"
                              readonly="readonly">
                            <!--Fecha y hora automatica-->
                            <script type="text/javascript" src="../js/datosSolicitud.js"></script>
                          </div>
                          <div class="form-group col-md">
                            <label for="inputChPrioridad">Prioridad</label>
                            <i class="fa fa-question-circle" aria-hidden="true" title=""></i>
                            <select id="inputChPriori" class="form-control">
                              <option selected>Seleccione</option>
                              <option>Alta</option>
                              <option>Media</option>
                              <option>Baja</option>
                            </select>
                          </div>
                        </div>
                        <div class="form-row">
                          <div class="form-group col-md">
                            <label for="inputObser">Observación</label>
                            <i class="fa fa-question-circle" aria-hidden="true" title=""></i>
                            <textarea class="form-control" id="inputOb" name="inputObs"
                              style="weight:10px;height:50px"></textarea>
                            <!-- <input type="text" class="form-control input-sm" id="inputdescripcion" disabled placeholder="Impresora no enciende. Esta conectada y al darle en el boton para prender no enciende"> -->
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
                <div class="modal-footer">
                  <button type="button" id="btnacept" class="btn btn-success">Guardar</button>
                  <button type="button" id="btnCancelar" class="btn btn-success" data-dismiss="modal">Cancelar</button>
                </div>
              </div>
            </div>
          </div>

          <div class="row">
            <div class="col">
              <table id="tableAsignacion" class="table dt-responsive nowrap tablestyle" style="width:100%;">
                <thead>
                  <tr class="text-center">
                    <th scope="col" style="width:8% !important;">Caso</th>
                    <th scope="col" style="width:10% !important;">Nivel</th>
                    <th scope="col" style="width:10% !important;">Prioridad</th>
                    <th scope="col" style="width:10% !important;">Asignado a</th>
                    <th scope="col" style="width:15% !important;">Actualizacion</th>
                    <th scope="col" style="width:10% !important;">Tipo</th>
                    <th scope="col" style="width:10% !important;">Estado</th>
                    <th scope="col" style="width:25% !important;">Observación</th>
                    <th scope="col" style="width:15% !important;">Opciones</th>
                </thead>
              </table>
            </div>
          </div>
        </div>
        <div class="modal fade " id="editarAsignacion" role="dialog">
          <div class="modal-dialog modal-lg" id="asignarModal">
            <div class="modal-content">
              <div class="modal-header mhsuccess" style="background:rgb(0, 94, 44);color:white;">
                <h5 class="modal-title"></h5>
                <button class="close" data-dismiss="modal" style="color:white;">&times;</button>
              </div>
              <div class="modal-body">
                <div class="shadow-none p-4 mb-4 bg-light">
                  <div class="form-row">
                    <div class="form-group col-md">
                      <label for="inputCate">Tipo</label>
                      <i class="fa fa-question-circle" aria-hidden="true"
                        title="Debe seleccionar el tipo de solicitud"></i>
                      <select id='editTipo' class="form-control">
                        <option selected>Seleccione</option>
                        <option>Incidente</option>
                        <option>Cambios</option>
                        <option>Requerimientos</option>
                        <option>Traslado</option>
                      </select>
                    </div>
                    <div class="form-group col-md">
                      <label for="inputAsignarS">Asignar a</label>
                      <i class="fa fa-question-circle" aria-hidden="true"
                        title="Debe seleccionar a la persona que le asignara la solicitud"></i>
                      <select id="editAsignarS" class="form-control">
                        <option selected>Seleccione</option>
                        <option>Juan</option>
                        <option>Carlos</option>
                        <option>Paula</option>
                      </select>
                    </div>
                    <div class="form-group col-md">
                      <label for="inputNivel">Nivel</label>
                      <i class="fa fa-question-circle" aria-hidden="true"
                        title="Debe seleccionar el nivel de solicitud"></i>
                      <select id="editNivel" class="form-control">
                        <option selected>Seleccione</option>
                        <option>Basico</option>
                        <option>Avanzado</option>
                        <option>Externo</option>
                      </select>
                    </div>
                  </div>
                  <div class="form-row">
                    <div class="form-group col-md">
                      <label for="inputEstado">Estado</label>
                      <i class="fa fa-question-circle" aria-hidden="true"
                        title="Debe seleccionar el nivel de solicitud"></i>
                      <select id="editEstado" class="form-control">
                        <option selected>Seleccione</option>
                        <option>Abierta</option>
                        <option>Pendiente</option>
                        <option>Asignada</option>
                        <option>Gestionada</option>
                      </select>
                    </div>
                    <div class="form-group col-md">
                      <label for="editFechaA">Fecha de actualización</label>
                      <i class="fa fa-question-circle" aria-hidden="true"
                        title="Debe ingresar la fecha de la ultima actualizacion"></i>
                      <input type="text" class="form-control" id="editFecha2" placeholder="Fecha" readonly="readonly">
                      <!--Fecha y hora automatica-->
                      <script type="text/javascript" src="../js/datosSolicitud.js"></script>
                    </div>
                    <div class="form-group col-md">
                      <label for="inputChPrioridad">Prioridad</label>
                      <i class="fa fa-question-circle" aria-hidden="true" title=""></i>
                      <select id="editChPriori" class="form-control">
                        <option selected>Seleccione</option>
                        <option>Alta</option>
                        <option>Media</option>
                        <option>Baja</option>
                      </select>
                    </div>
                  </div>
                  <div class="form-row">
                    <div class="form-group col-md">
                      <label for="inputObser">Observación</label>
                      <i class="fa fa-question-circle" aria-hidden="true" title=""></i>
                      <textarea class="form-control" id="editOb" name="editObs"
                        style="weight:10px;height:50px"></textarea>
                      <!-- <input type="text" class="form-control input-sm" id="inputdescripcion" disabled placeholder="Impresora no enciende. Esta conectada y al darle en el boton para prender no enciende"> -->
                    </div>
                  </div>
                </div>
              </div>
              <div class="modal-footer">
                <button type="button" id="btnEditarA" class="btn btn-success">Guardar</button>
                <button type="button" id="btnCancelarEdit" class="btn btn-success"
                  data-dismiss="modal">Cancelar</button>
              </div>
            </div>
          </div>
        </div>


      </div>
      <!-- <button type="button" id="btnCancelar" class="btn btn-success">Cancelar</button> -->


      <!-- <ul class="nav nav-tabs" style="font-size:15px">
              <li class="nav-item">
                <a class="nav-link" href="#mantenimiento"><i class="fas fa-cog" aria-hidden="true"></i>
                  Mantenimiento</a>
              </li>
              <li class="nav-item">
                <a class="nav-link " href="#"><i class="fas fa-cogs" aria-hidden="true"></i>
                  Modificacion</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#"><i class="fas fa-book" aria-hidden="true"></i>
                  Reintegro</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="#"><i class="fas fa-arrow-circle-right" aria-hidden="true"></i>
                  Traslado</a>
              </li>
            </ul> -->

    </div>
</body>

<script src="https://code.jquery.com/jquery-3.3.1.js"></script>
<script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="../js/dataTablesA.min.js"></script>
<script src="https://cdn.datatables.net/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.2.3/js/dataTables.responsive.min.js"></script>
<script src="https://cdn.datatables.net/responsive/2.2.3/js/responsive.bootstrap4.min.js"></script>
<script type="text/javascript" src="../js/asignacion.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.2.1/js/bootstrap.min.js"></script>


</html>